aboutsummaryrefslogtreecommitdiff
path: root/install-on-debian.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install-on-debian.sh')
-rwxr-xr-xinstall-on-debian.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/install-on-debian.sh b/install-on-debian.sh
new file mode 100755
index 0000000..bcfd88a
--- /dev/null
+++ b/install-on-debian.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+# pre-requirements
+prerequirements () {
+ sudo apt-get install -y python2.7
+ sudo apt-get install -y python-pip
+ sudo pip install robotframework
+ sudo pip install robotframework-selenium2library
+}
+
+# For x86_64
+install_chromedriver_x86_64 () {
+ wget http://chromedriver.storage.googleapis.com/2.20/chromedriver_linux64.zip
+ unzip chromedriver_linux64.zip
+ sudo cp chromedriver /usr/bin/
+ exit 0
+}
+
+install_chromedriver_x86 () {
+ wget http://chromedriver.storage.googleapis.com/2.20/chromedriver_linux32.zip
+ unzip chromedriver_linux32.zip
+ sudo cp chromedriver /usr/bin/
+ exit 0
+}
+
+# For aarch64
+install_chromedriver_aarch64 () {
+ google_chrome_softlink
+ sudo apt-get install chromedriver
+ export PATH=/usr/lib/chromium/:$PATH
+ echo "export PATH=/usr/lib/chromium/:$PATH" >> ~/.bashrc
+ exit 0
+}
+
+# In case of 96boards we pre install chromium
+# Officially chromium not supported by robot framework.
+# Made a soft link as google-chrome from chromium.
+# In the test case we have to mention browser name as chrome.
+google_chrome_softlink () {
+ cd /usr/bin/
+ sudo ln -sf chromium google-chrome
+ cd -
+}
+
+prerequirements
+install_chromedriver_`arch`
+if [ $? -ne 0 ]; then
+ echo "Not supported Architecture `arch`"
+ echo "install-on-debian.sh : failed"
+ exit 1
+fi